Name:           python-webob
Version:        1.8.7
Release:        2
Summary:        WSGI request and response object
License:        MIT
URL:            http://pythonpaste.org/webob/
Source0:        https://files.pythonhosted.org/packages/source/W/WebOb/WebOb-%{version}.tar.gz
Patch0:		0001-modify-python3.9-supportive-syntax.patch
BuildArch:      noarch

BuildRequires:  python3-devel, python3-setuptools, python3-pytest

%description
WebOb provides wrappers around the WSGI request environment,
and an object to help create WSGI responses. The objects map
much of the specified behavior of HTTP, including header parsing
and accessors for other standard parts of the environment.

%package -n python3-webob
%{?python_provide:%python_provide python3-webob}
Summary:        WSGI request and response object
Requires:       python3
Provides:       python3-webob1.2 = %{version}-%{release}
Obsoletes:      python3-webob1.2 < 1.2.3-7

%description -n python3-webob
WebOb provides wrappers around the WSGI request environment,
and an object to help create WSGI responses. The objects map
much of the specified behavior of HTTP, including header parsing
and accessors for other standard parts of the environment.

%prep
%autosetup -n WebOb-%{version} -p1
rm -rf tests/performance_test.py
rm -rf docs/_static/.empty
mv docs/license.txt license.txt

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitelib}
py.test-3 tests

%files -n python3-webob
%license license.txt
%doc docs/*
%{python3_sitelib}/*

%changelog
* Tue Jan 11 2022 baizhonggui <baizhonggui@huawei.com> - 1.8.7-2
- Fix compat py3.9 syntax

* Thu Aug 05 2021 liusheng <liusheng2048@gmail.com> - 1.8.7-1
- Upgrade to version 1.8.7

* Thu Oct 29 2020 xinghe <xinghe1@huawei.com> - 1.8.2-4
- remove python2 dependency

* Fri Feb 14 2020 Ruijun Ge <geruijun@huawei.com> - 1.8.2-3
- init package
